%global		__requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Math
%define		_subclass	Quaternion
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.8.0
Release:	%mkrel 9
Summary:	Classes that define Quaternions and their operations
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Quaternion/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch


%description
Classes that represent and manipulate quaternions. Contain definitions
for basic arithmetic functions in a static class.
Quaternions are an extension of the idea of complex numbers, and
a quaternion is defined as: 
    q = a + b*i + c*j + d*k
In 1844 Hamilton described a system in which numbers were composed of
a real part and 3 imaginary and independent parts (i,j,k), such that:
    i^2 = j^2 = k^2 = -1       and
    ij = k, jk = i, ki = j     and
    ji = -k, kj = -i, ik = -j
The above are known as "Hamilton's rules"

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Quaternion.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Quaternion.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Quaternion
fi

%files
%{peardir}/*
%{xmldir}/Math_Quaternion.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-9.mga8
+ Revision: 1499084
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.8.0-8.mga7
+ Revision: 1273495
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.8.0-7.mga6
+ Revision: 938329
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-6.mga5
+ Revision: 747436
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.8.0-5.mga5
+ Revision: 734087
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 687348
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 528129
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.8.0-2.mga4
+ Revision: 443511
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.8.0-1.mga4
+ Revision: 443487
- upgrade to version 0.8.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.7.1-13.mga3
+ Revision: 376897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.7.1-12.mga1
+ Revision: 43491
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Quaternion


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-12mdv2011.0
+ Revision: 613715
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-11mdv2010.1
+ Revision: 470159
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.7.1-10mdv2010.0
+ Revision: 441345
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-9mdv2009.1
+ Revision: 322366
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-8mdv2009.0
+ Revision: 236958
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.1-7mdv2008.1
+ Revision: 136408
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-7mdv2007.0
+ Revision: 82171
- Import php-pear-Math_Quaternion

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-1mdk
- initial Mandriva package (PLD import)

